PrefabFiles = {
	"h02","killersword","oichan","brsh_projectile",
	
	"pickleheart", "hat_bee_bw", "a1", "a2"
}

Assets = {
    Asset( "ANIM", "anim/oichan.zip" ),
	Asset( "ANIM", "anim/pickleheart.zip" ),
	
	Asset( "IMAGE", "minimap/oichan.tex" ),
	Asset( "ATLAS", "minimap/oichan.xml" ),
	
        Asset("ATLAS", "images/inventoryimages/hat_bee_bw.xml"),
        Asset( "ANIM", "anim/hat_bee_bw.zip" ),
        Asset( "ANIM", "anim/hat_bee_bw_swap.zip" ),

	Asset( "IMAGE", "images/oichan.tex" ),
	Asset( "ATLAS", "images/oichan.xml" ),
	
	Asset( "IMAGE", "images/pickleheart.tex" ),
	Asset( "ATLAS", "images/pickleheart.xml" ),
	
	Asset( "SOUNDPACKAGE" , "sound/oichan.fev" ),
	Asset( "SOUND" , "sound/oichan_bank00.fsb" ),
    Asset( "IMAGE", "images/saveslot_portraits/h02.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/h02.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/h02.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/h02.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/h02_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/h02_silho.xml" ),

    Asset( "IMAGE", "bigportraits/h02.tex" ),
    Asset( "ATLAS", "bigportraits/h02.xml" ),
        Asset("ANIM", "anim/killersword.zip"),
	Asset("ANIM", "anim/swap_killersword.zip"),

    Asset("ANIM", "anim/brsh_projectile.zip"),

	Asset("ATLAS", "images/inventoryimages/killersword.xml"),
	Asset("IMAGE", "images/inventoryimages/killersword.tex"),
	
	Asset( "IMAGE", "images/map_icons/h02.tex" ),
	Asset( "ATLAS", "images/map_icons/h02.xml" ),	
Asset("ANIM", "anim/a1.zip"),
   Asset("ANIM", "anim/swap_a1.zip"),
Asset("ATLAS", "images/inventoryimages/a1.xml"),
	Asset("IMAGE", "images/inventoryimages/a1.tex"),

Asset("ANIM", "anim/a2.zip"),
   Asset("ANIM", "anim/swap_a2.zip"),
Asset("ATLAS", "images/inventoryimages/a2.xml"),
	Asset("IMAGE", "images/inventoryimages/a2.tex"),

Asset("SOUNDPACKAGE", "sound/h02.fev"),
    Asset("SOUND", "sound/h02.fsb"),
       
}


local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.A1 = "提督你要来一发吗"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.A1 = "提督你要来一发吗"
GLOBAL.STRINGS.NAMES.A1 = "冰结鱼雷"
GLOBAL.STRINGS.RECIPE_DESC.A1 = "永恒冻结"
GLOBAL.STRINGS.NAMES.A2 = "烈焰鱼雷"
GLOBAL.STRINGS.RECIPE_DESC.A2 = "燃烧殆尽"
GLOBAL.STRINGS.NAMES.HAT_BEE_BW = "兔子耳朵"
GLOBAL.STRINGS.RECIPE_DESC.HAT_BEE_BW = "跑得比兔子还快"
GLOBAL.STRINGS.NAMES.PICKLEHEART = "探照灯"
GLOBAL.STRINGS.NAMES.OICHAN = "连装炮酱"
GLOBAL.STRINGS.RECIPE_DESC.OICHAN = "连装炮酱2号机"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OICHAN = "它是岛风的好伙伴"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.PICKLEHEART = "亮闪闪"
GLOBAL.STRINGS.NAMES.KILLERSWORD = "12.7cm连装炮 "
GLOBAL.STRINGS.RECIPE_DESC.KILLERSWORD = "你要来一炮吗"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.KILLERSWORD = "你要来一炮吗"
GLOBAL.STRINGS.CHARACTER_TITLES.h02 = "岛风"
GLOBAL.STRINGS.CHARACTER_NAMES.h02 = "h02" 
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.h02 = "*航速40节\n*喜欢和连装炮酱玩\n*用齿轮改造自己"
GLOBAL.STRINGS.CHARACTER_QUOTES.h02 = "\"驱逐舰岛风号\""
GLOBAL.STRINGS.CHARACTERS.H02 = require "speech_h02"


table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "h02")
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

function h02PostInit(h02)

local a2 = GLOBAL.Recipe("a2", { Ingredient("bamboo", 2), Ingredient("gears", 1), Ingredient("gunpowder", 2) }, RECIPETABS.WAR, TECH.NONE)
		a2.atlas = "images/inventoryimages/a2.xml"

 local a1 = GLOBAL.Recipe("a1", {  Ingredient("ice", 3), Ingredient("bamboo", 2), Ingredient("gears", 1) }, RECIPETABS.WAR, TECH.NONE)
		a1.atlas = "images/inventoryimages/a1.xml"

local oichan = GLOBAL.Recipe("oichan", { Ingredient("transistor", 1) }, RECIPETABS.SCIENCE, TECH.NONE)
		oichan.atlas = "images/oichan.xml"


	local killersword = GLOBAL.Recipe("killersword", { Ingredient("goldnugget", 1), Ingredient("nitre", 10),Ingredient("gears", 1) }, RECIPETABS.WAR, TECH.NONE)
		killersword.atlas = "images/inventoryimages/killersword.xml"

        local hat_bee_bw = GLOBAL.Recipe("hat_bee_bw", { Ingredient("cutgrass", 5), Ingredient("snakeskin", 3), Ingredient("bamboo", 2) }, RECIPETABS.DRESS, TECH.NONE)
		hat_bee_bw.atlas = "images/inventoryimages/hat_bee_bw.xml"
end       


AddMinimapAtlas("minimap/oichan.xml")

AddMinimapAtlas("images/map_icons/h02.xml")
AddModCharacter("h02")

AddSimPostInit(function(inst)
        if inst.prefab == "h02" then
                h02PostInit(inst)
        end
end)

RemapSoundEvent( "dontstarve/characters/h02/death_voice", "h02/characters/h02/death_voice" )
RemapSoundEvent( "dontstarve/characters/h02/hurt", "h02/characters/h02/hurt" )
RemapSoundEvent( "dontstarve/characters/h02/talk_LP", "h02/characters/h02/talk_LP" )

T = GLOBAL.TUNING

--For Boats
T.ROWBOAT_SPEED = 9
T.RAFT_SPEED = 8
T.LOGRAFT_SPEED = 7
T.CARGOBOAT_SPEED = 10
T.ARMOUREDBOAT_SPEED = 10

